<?php
/**
 * @package     Gesplan.Site
 * @subpackage  com_content
 *
 * @copyright   (C) 2022 studiogenesis
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;
use Joomla\Component\Content\Administrator\Extension\ContentComponent;
use Joomla\Component\Content\Site\Helper\RouteHelper;

// Create shortcuts to some parameters.
$params  = $this->item->params;
$canEdit = $params->get('access-edit');
$user    = Factory::getUser();
$info    = $params->get('info_block_position', 0);
$htag    = $this->params->get('show_page_heading') ? 'h2' : 'h1';
$category_title   = $this->escape($this->item->category_title);

// Check if associations are implemented. If they are, define the parameter.
$assocParam        = (Associations::isEnabled() && $params->get('show_associations'));
$currentDate       = Factory::getDate()->format('Y-m-d H:i:s');
$isNotPublishedYet = $this->item->publish_up > $currentDate;
$isExpired         = !is_null($this->item->publish_down) && $this->item->publish_down < $currentDate;
?>
<section id="fichaAlerta">
	<div class="container">
		<div class="row">
			<div class="col-1">
			<?= HTMLHelper::_('image','notification.svg', Text::_('TPL_GESPLAN_ROUTE_ICON'), null, true, 0) ?>
			</div>
			<div class="col-11 col-md-9">
				<div class="columnAlert">
					<h1><?php echo $this->escape($this->item->title); ?></h1>
					<p><?php  echo $this->item->jcfields[150]->rawvalue ?></p>
					<a class="more-info" href="<?php  echo $this->item->jcfields[158]->rawvalue ?>" target="_blank" title="<?= Text::_("TPL_GESPLAN_ALERT_LINK")?>"><?php  echo $this->item->jcfields[158]->rawvalue ?></a>
	
				</div>
				<ul class="redes">
					<div class="addthis_inline_share_toolbox"><script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-61eaca95de51d9e3"></script>
				</ul>
			</div>
		</div>
							
		<?php $url = '<a href="' . Route::_(
							RouteHelper::getCategoryRoute($this->item->catid, $this->item->category_language)
							)
							. '" itemprop="genre">' . $category_title . '</a>'; ?>
						<?php //echo $url ?>
						
			
					<?php if ((int) $params->get('urls_position', 0) === 0) : ?>
					<?php echo $this->loadTemplate('links'); ?>
					<?php endif; ?>
					<?php if ($params->get('access-view')) : ?>
						<?php
						if (!empty($this->item->pagination) && $this->item->pagination && !$this->item->paginationposition && !$this->item->paginationrelative) :
							echo $this->item->pagination;
						endif;
						?>
						<?php if (isset ($this->item->toc)) :
							echo $this->item->toc;
						endif; ?>
						

						<?php if ($info == 1 || $info == 2) : ?>
							<?php if ($useDefList) : ?>
								<?php //echo LayoutHelper::render('joomla.content.info_block', array('item' => $this->item, 'params' => $params, 'position' => 'below')); ?>
							<?php endif; ?>
							<?php if ($params->get('show_tags', 1) && !empty($this->item->tags->itemTags)) : ?>
								<?php $this->item->tagLayout = new FileLayout('joomla.content.tags'); ?>
								<?php echo $this->item->tagLayout->render($this->item->tags->itemTags); ?>
							<?php endif; ?>
						<?php endif; ?>

						<?php
						if (!empty($this->item->pagination) && $this->item->paginationposition && !$this->item->paginationrelative) :
							echo $this->item->pagination;
						?>
						<?php endif; ?>
						<?php if ((int) $params->get('urls_position', 0) === 1) : ?>
						<?php echo $this->loadTemplate('links'); ?>
						<?php endif; ?>
						<?php // Optional teaser intro text for guests ?>
						<?php elseif ($params->get('show_noauth') == true && $user->get('guest')) : ?>
						<?php //echo LayoutHelper::render('joomla.content.intro_image', $this->item); ?>
						<?php echo HTMLHelper::_('content.prepare', $this->item->introtext); ?>
						<?php // Optional link to let them register to see the whole article. ?>
						<?php if ($params->get('show_readmore') && $this->item->fulltext != null) : ?>
						<?php $menu = Factory::getApplication()->getMenu(); ?>
						<?php $active = $menu->getActive(); ?>
						<?php $itemId = $active->id; ?>
						<?php $link = new Uri(Route::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false)); ?>
						<?php $link->setVar('return', base64_encode(RouteHelper::getArticleRoute($this->item->slug, $this->item->catid, $this->item->language))); ?>
						<?php echo LayoutHelper::render('joomla.content.readmore', array('item' => $this->item, 'params' => $params, 'link' => $link)); ?>
						<?php endif; ?>
					<?php endif; ?>
					<?php
					if (!empty($this->item->pagination) && $this->item->paginationposition && $this->item->paginationrelative) :
						echo $this->item->pagination;
					?>
					<?php endif; ?>
					<?php // Content is generated by content plugin event "onContentAfterDisplay" ?>
					
	
					<?php echo $this->item->event->afterDisplayContent; ?>
	</div>
</section>

					<!-- <p>	<time datetime="<?php echo HTMLHelper::_('date', $this->item->publish_up, 'c'); ?>" itemprop="datePublished">
								<?php echo HTMLHelper::_('date', $this->item->publish_up, Text::_('DATE_FORMAT_LC2')); ?>
							</time></p> -->






<?php
    $path = dirname(__DIR__, 1) . "/article/partials/";
    require_once($path.'ayuda.php');
?>